#include <windows.h>
#include <stddef.h>
#include <prsht.h>

struct rr {
   int aa ;
   union {
      int a,b ;
   } a ;
   union {
      int c,d ;
   } b ;
} ;
main()
{
   printf("%d\n",offsetof(struct rr,a.a)) ;
   printf("%d\n",offsetof(struct rr,b.c)) ;
#ifdef __BORLANDC__
   printf("%d\n",offsetof(struct _PROPSHEETPAGEA,lParam)) ;
   printf("%d\n",offsetof(struct _PROPSHEETHEADERA,u3.ppsp)) ;
#else
   printf("%d\n",offsetof(struct _PROPSHEETPAGE,lParam)) ;
   printf("%d\n",offsetof(struct _PROPSHEETHEADER,u3.ppsp)) ;
#endif
}